import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

public class Palette extends JFrame {
	private ColorChooserPanel colorChooserPanel;
	private JTextArea textArea;
	
	public Palette() {
		super( "Chooser Background Color" );
		Container container = getContentPane();
		colorChooserPanel = new ColorChooserPanel();
		
		JSlider rdSlider = colorChooserPanel.getRedSlider();
		rdSlider.addChangeListener(
			new ChangeListener() {
				public void stateChanged( ChangeEvent event ) {
					textArea.setBackground( colorChooserPanel.getColor() );
				}
			}
		);
		
		JSlider gnSlider = colorChooserPanel.getGreenSlider();
		gnSlider.addChangeListener(
			new ChangeListener() {
				public void stateChanged( ChangeEvent event ) {
					textArea.setBackground( colorChooserPanel.getColor() );
				}
			}
		);
		
		JSlider blSlider = colorChooserPanel.getBlueSlider();
		blSlider.addChangeListener(
			new ChangeListener() {
				public void stateChanged( ChangeEvent event ) {
					textArea.setBackground( colorChooserPanel.getColor() );
				}
			}
		);
		
		container.add( colorChooserPanel, BorderLayout.SOUTH );
		textArea = new JTextArea();
		textArea.setBackground( Color.black );
		container.add( textArea, BorderLayout.CENTER );
		setSize( 300, 250 );
		setVisible( true );
	}
	
	public static void main( String args[] ) {
		Palette application = new Palette();
		
		application.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
	}
	
}